# JsDoc Reference - Ciform.ciphers.Encoder

Class Index | File Index

## Classes

- _global_
- Ciform
- Ciform.Cipher
- Ciform.ciphers
- Ciform.ciphers.ChainEncoder
- Ciform.ciphers.CiformPacketizer
- Ciform.ciphers.Encoder
- Ciform.ciphers.RSAEncoder
- Ciform.ciphers.RSAPublicKey
- Ciform.ciphers.SHA1Encoder
- Ciform.Field
- Ciform.protocol

# Class Ciform.ciphers.Encoder

An encoder provides a way to encode/encrypt a message. Implementations of an encoder must re-define all of the methods of this class.
Defined in: ciform.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Ciform.ciphers.Encoder()

Method Summary
Method Attributes | Method Name and Description
--- | ---
| encode(message) The basic way to encode/encrypt a message.

Class Detail
Ciform.ciphers.Encoder()
Method Detail
{String} encode(message)
The basic way to encode/encrypt a message.

Parameters:
{String} message
  The text to encrypt

Returns:
  the encrypted message (ciphertext) : the result depends on the encoder

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Feb 06 2012 00:12:49 GMT+0100 (CET)